Scriptname NDY_DragonDeathDetectscript extends activemagiceffect  

ObjectReference property PlayerREF auto

; Dragon Death check
GlobalVariable property NDY_PerkPoints auto
GlobalVariable property NDY_PerkPointsEarned auto
GlobalVariable property NDY_PerkPointProgress auto
GlobalVariable property NDY_PerkPointsTotal auto

Formlist Property NDY_UniqueDragonList Auto

GlobalVariable property NDY_PerkPoints_Dragon auto
GlobalVariable property NDY_PerkPoints_UniqueDragon auto

Actor UniqueDragon

Event OnEffectStart(Actor akTarget, Actor akCaster)
	if akTarget.IsDead()
		self.Dispel()
	endif		
EndEvent

Event OnDeath(Actor akKiller)
;	if UniqueDragon.IsDead()
		UniqueDragon = GetTargetActor()
		if NDY_UniqueDragonList.Find(UniqueDragon.GetActorBase() As Form) != -1
			AdvanceDragonSkill(0.05)
			NDY_PerkPoints_UniqueDragon.SetValue(NDY_PerkPoints_UniqueDragon.GetValue() + 1)
;			debug.Notification("UniqueDragon Kill!")
		else
			AdvanceDragonSkill(0.01)
			NDY_PerkPoints_Dragon.SetValue(NDY_PerkPoints_Dragon.GetValue() + 1)			
		endif
		self.Dispel()
;		UnRegisterForUpdate()
;	endif
EndEvent

function AdvanceDragonSkill(float ProgressValue)
    if NDY_PerkPointsEarned.GetValueInt() < NDY_PerkPointsTotal.GetValueInt()
        ;Figure out the number of books needed for the next point.
        debug.trace("Advancing DragonPower skill.")
        ; What is the current progress toward the next point?
        NDY_PerkPointProgress.SetValue(NDY_PerkPointProgress.GetValue() + ProgressValue)
        debug.trace("DragonPower perk progress value: " + NDY_PerkPointProgress.GetValue())
		debug.Notification("ɱĹ䱾ʡ")
        ; If we have >= 100% progress, give the player a point.
        if NDY_PerkPointProgress.GetValue() >= 1.0
            debug.trace("Granting a DragonPower perk point.")
			debug.Notification("˽ľ֪ʶѾ㹻ḻ1⼼ܵ㣡")
;            NDY_PerkPointsEarned.Show()
            NDY_PerkPointsEarned.SetValueInt(NDY_PerkPointsEarned.GetValueInt() + 1)
            NDY_PerkPoints.SetValueInt(NDY_PerkPoints.GetValueInt() + 1)

            ; If we've maxed out the skill, leave the progress at 100% so the player knows
            ; that they can't get any more advancement in this skill.
            if NDY_PerkPointsEarned.GetValueInt() >= NDY_PerkPointsTotal.GetValueInt()
                NDY_PerkPointProgress.SetValue(1.0)
            else
                NDY_PerkPointProgress.SetValue(NDY_PerkPointProgress.GetValue() - 1.0)
            endif
        endif
    endif
endFunction

;Event OnEffectFinish(Actor akTarget, Actor akCaster)
;	UnRegisterForUpdate()
;EndEvent